Package org.jboss.resteasy.spi.metadata

## Class DefaultResourceMethod

- java.lang.Object
- - org.jboss.resteasy.spi.metadata.DefaultResourceLocator
  - - org.jboss.resteasy.spi.metadata.DefaultResourceMethod

- All Implemented Interfaces:
    `ResourceLocator`, `ResourceMethod`

      public class DefaultResourceMethod
      extends DefaultResourceLocator
      implements ResourceMethod

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected boolean` | `asynchronous` |
    `protected javax.ws.rs.core.MediaType[]` | `consumes` |
    `protected Set<String>` | `httpMethods` |
    `protected javax.ws.rs.core.MediaType[]` | `produces` |

    - ### Fields inherited from class org.jboss.resteasy.spi.metadata.DefaultResourceLocator

      `annotatedMethod, fullpath, genericReturnType, method, params, path, resourceClass, returnType`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultResourceMethod​(ResourceClass declaredClass, Method method, Method annotatedMethod)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `javax.ws.rs.core.MediaType[]` | `getConsumes()` |
    `Set<String>` | `getHttpMethods()` |
    `javax.ws.rs.core.MediaType[]` | `getProduces()` |
    `boolean` | `isAsynchronous()` |
    `void` | `markAsynchronous()` |

    - ### Methods inherited from class org.jboss.resteasy.spi.metadata.DefaultResourceLocator

      `getAnnotatedMethod, getFullpath, getGenericReturnType, getMethod, getParams, getPath, getResourceClass, getReturnType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.jboss.resteasy.spi.metadata.ResourceLocator

      `getAnnotatedMethod, getFullpath, getGenericReturnType, getMethod, getParams, getPath, getResourceClass, getReturnType`

- - ### Field Detail

    - #### httpMethods

          protected Set<String> httpMethods

    - #### produces

          protected javax.ws.rs.core.MediaType[] produces

    - #### consumes

          protected javax.ws.rs.core.MediaType[] consumes

    - #### asynchronous

          protected boolean asynchronous

  - ### Constructor Detail

    - #### DefaultResourceMethod

          public DefaultResourceMethod​(ResourceClass declaredClass,
                                       Method method,
                                       Method annotatedMethod)

  - ### Method Detail

    - #### getHttpMethods

          public Set<String> getHttpMethods()

      Specified by:
        `getHttpMethods` in interface `ResourceMethod`

    - #### getProduces

          public javax.ws.rs.core.MediaType[] getProduces()

      Specified by:
        `getProduces` in interface `ResourceMethod`

    - #### getConsumes

          public javax.ws.rs.core.MediaType[] getConsumes()

      Specified by:
        `getConsumes` in interface `ResourceMethod`

    - #### isAsynchronous

          public boolean isAsynchronous()

      Specified by:
        `isAsynchronous` in interface `ResourceMethod`

    - #### markAsynchronous

          public void markAsynchronous()

      Specified by:
        `markAsynchronous` in interface `ResourceMethod`